Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader
Class BackgroundCacheIntentService

    java.lang.Object
      IntentService
          com.blogspot.applications4android.comicreader.core.FullyAwakeIntentService
              com.blogspot.applications4android.comicreader.BackgroundCacheIntentService

    public class BackgroundCacheIntentService

extends FullyAwakeIntentService

Actual class for background caching

Field Summary
`static int` | `SYNC_BOTH` both the above
`static int` | `SYNC_FROM_LATEST` sync backwards from latest
`static int` | `SYNC_FROM_PREV_SESSION` sync forwards from previous session

Constructor Summary
`BackgroundCacheIntentService()` Constructor

Method Summary
`protected void` | `doWork(Intent intent)` Perform the actual work
`void` | `onCancelClick(View v)` Callback for cancelling this progress

Methods inherited from class com.blogspot.applications4android.comicreader.core.FullyAwakeIntentService
`acquireStaticLock, onHandleIntent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYNC_FROM_LATEST

    public static final int SYNC_FROM_LATEST

  sync backwards from latest

  See Also:
    Constant Field Values

### SYNC_FROM_PREV_SESSION

    public static final int SYNC_FROM_PREV_SESSION

  sync forwards from previous session

  See Also:
    Constant Field Values

### SYNC_BOTH

    public static final int SYNC_BOTH

  both the above

  See Also:
    Constant Field Values

Constructor Detail

### BackgroundCacheIntentService

    public BackgroundCacheIntentService()

  Constructor

Method Detail

### doWork

    protected void doWork(Intent intent)

  Description copied from class: `FullyAwakeIntentService`
  Perform the actual work

  Specified by:
    `doWork` in class `FullyAwakeIntentService`
  Parameters:
    `intent` - intent

### onCancelClick

    public void onCancelClick(View v)

  Callback for cancelling this progress

  Parameters:
    `v` - view generating this callback

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD